/* Copyright (c) 2018-2024 Eric Vidal <eric@obarun.org>
All rights reserved.*/

/* ISC license. */

/* Generated by: ./configure -- --prefix=/usr --dynlibdir='${prefix}/lib' --libdir='${prefix}/lib' --libexecdir='${prefix}/libexec' --bindir='${prefix}/bin' --with-lib='${prefix}/lib/skalibs' --with-lib='${prefix}/lib/execline' --with-lib='${prefix}/lib/s6' --with-sysdeps='${prefix}/lib/i386-linux-gnu/skalibs/sysdeps' --shebangdir='${prefix}/lib/execline/bin' --with-s6-log-timestamp=iso --includedir='${prefix}/include' --HOSTNAME=antix-66 --TZ=ETC --TTY='!2' --KEYMAP='!us' --FONT='!lat9w-16' --FSTAB='!yes' --SWAP='!yes' --LVM='!no' --DMRAID='!no' --BTRFS='!no' --ZFS='!no' --ZFS_IMPORT='!zpoolcache' --MDRAID='!no' --CHECK_CONFIGURATION='!no' --SETUPCONSOLE='!yes' --HARDWARECLOCK=localtime --UDEV='!yes' --SYSCTL='!yes' --FORCECHCK='!no' --LOCAL='!no' --CONTAINER='!no' --TMPFILE='!no' --MODULE_KERNEL='!no' --MODULE_SYSTEM='!no' --RANDOMSEED='!yes' --CRYPTTAB='!no' --CGROUPS='!yes' --MNT_PROC='!no' --MNT_SYS='!no' --MNT_DEV='!no' --MNT_RUN='!yes' --MNT_TMP='!yes' --MNT_PTS='!yes' --MNT_SHM='!yes' --MNT_NETFS='!no' --POPULATE_SYS='!yes' --POPULATE_DEV='!yes' --POPULATE_RUN='!yes' --POPULATE_TMP='!yes' */

#ifndef SS_CONFIG_H
#define SS_CONFIG_H

#define SS_VERSION "0.7.0.1"
#define SS_LIVE "/run/66/"
#define SS_MAX_SERVICE 500
#define SS_MAX_PATH 1024
#define SS_MAX_SERVICE_NAME 256
#define SS_MAX_TREENAME 256
#define SS_DEFAULT_TREENAME "global"
#define SS_SYSTEM_DIR "/var/lib/66/"
#define SS_SKEL_DIR "/etc/66/"
#define SS_LOGGER_SYSDIR "/var/log/66/"
#define SS_LOGGER_RUNNER "root"
#define SS_LOGGER_TIMESTAMP 1
#define SS_LOGGER_NOTIFY 1
#define SS_SERVICE_SYSDIR "/usr/share/66/service/"
#define SS_SERVICE_SYSDIR_USER "/usr/share/66/service/user/"
#define SS_SERVICE_ADMDIR "/etc/66/service/"
#define SS_SERVICE_ADMDIR_USER "/etc/66/service/user/"
#define SS_SERVICE_ADMCONFDIR "/etc/66/conf/"
#define SS_SCRIPT_SYSDIR "/usr/share/66/script/"
#define SS_SEED_SYSDIR "/usr/share/66/seed/"
#define SS_SEED_ADMDIR "/etc/66/seed/"

/** Do not use absolute path but a $HOME relative path
 * The /home/<user> prefix will be automatically added to the pathname */
#define SS_USER_DIR ".66/"
#define SS_LOGGER_USERDIR ".66/log/"
#define SS_SERVICE_USERDIR ".66/service/"
#define SS_SERVICE_USERCONFDIR ".66/conf/"
#define SS_SCRIPT_USERDIR ".66/script/"
#define SS_SEED_USERDIR ".66/seed/"

#define SS_BINPREFIX ""
#define SS_EXTBINPREFIX ""
#define SS_EXTLIBEXECPREFIX "/usr/libexec/"
#define SS_LIBEXECPREFIX "/usr/libexec/"
#define SS_EXECLINE_SHEBANGPREFIX "/usr/lib/execline/bin/"

#endif
